Run in Apidog
Gets a custom report either owned or shared with the user. The report object will contain all of the report fields that were selected for the report when it was created or last updated. User Role Permissions# The following table shows which user roles are allowed to send requests using this API endpoint. Role Permission Partner Partner View Custom Partner Fleet Manager Group Manager User Custom User
Request Code Samples
curl --location 'https://fleet.roscolive.com/api/v1.0/reports/custom//generate?start_date=&end_date=&company_id=' Responses application/json
Generate Code
{
"meta" : {
"code" : 200
} ,
"response" : [
{
"device_id" : 3337528432 ,
"stopsignviolation_bsw" : 0 ,
"stopsignviolation_rsw" : 0 ,
"trafficlightviolation_saw" : 0 ,
"trafficlightviolation_svw" : 0
} ,
{
"device_id" : 4888286288 ,
"stopsignviolation_bsw" : 1 ,
"stopsignviolation_rsw" : 1 ,
"trafficlightviolation_saw" : 1 ,
"trafficlightviolation_svw" : 1
}
] ,
"result" : "OK"
}
Modified at 2026-06-23 15:13:49